package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimGroupInfo;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.AimGroupInfoMapper")
public interface AimGroupInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimGroupInfo record);

    AimGroupInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimGroupInfo record);

    List<AimGroupInfo> queryAllAimGroupInfo(AimGroupInfo record);

    List<AimGroupInfo> queryAimGroupInfoByPage(Map<String, Object> parameter);

    int delete(AimGroupInfo record);

    AimGroupInfo queryAimGroupInfo(AimGroupInfo record);

    AimGroupInfo queryAimGroupInfoAllInfo(AimGroupInfo record);

    List<AimGroupInfo> query(AimGroupInfo record);
}

